#ifndef IMMU_BASE_ITEM_DELEGATE_H
#define IMMU_BASE_ITEM_DELEGATE_H

#include <QObject>
#include "BaseItemDelegate.h"

class QModelIndex;
class QPainter;
class QStyleOptionViewItem;

class ImmuBaseItemDelegate : public BaseItemDelegate
{
    Q_OBJECT

public:
    explicit ImmuBaseItemDelegate(QObject *parent = nullptr);

    void paint(QPainter *painter, const QStyleOptionViewItem &option,
               const QModelIndex &index) const override;
    QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const override;
};

#endif  // IMMU_BASE_ITEM_DELEGATE_H